Feature request #17742

QGIS 2.99 does not support KNN virtual tables index

Added by salvatore fiandaca over 2 years ago. Updated over 1 year ago.

Status:Open
Priority:High
Assignee:-
Category:DB Manager
Pull Request or Patch supplied:No Resolution:
Easy fix?:No Copied to github as #:25638

Description

QGIS 2.99 does not support KNN virtual tables index for nearest neighbor problems - spatialite is required 4.4 :-(

N4.jpg (75.4 KB) salvatore fiandaca, 2017-12-23 06:39 PM

History

#1 Updated by salvatore fiandaca over 2 years ago

salvatore fiandaca wrote:

QGIS 2.99 does not support KNN virtual tables index for nearest neighbor problems - spatialite is required 4.4 :-(

I add: it is a problem of packaging and update provider (DB mamager, add spatialite layer and dragAndDrop)

#3 Updated by Giovanni Manghi over 1 year ago

salvatore fiandaca wrote:

https://gis.stackexchange.com/questions/269517/spatialite-knn-view-in-qgis

could you please raise this matter in the developer mailing list? it seems to me that having a more recent SL support with this modules (and support for makevalid for example) it would be very good.

Also available in: Atom PDF